;; Checking (ice-9 common-list).

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(define-module (guile-lint ice-9 common-list)
  #:use-module (guile-lint common)
  #:use-module ((ice-9 common-list)
		;; avoid clash with `and?' in guile-lint module
		#:renamer (symbol-prefix-proc 'common-list:)))



;;-----------------------------------------------------------------------------
;; notany

;; only (1 0 #t) in common-list.scm
(lint-arity! common-list:notany '(2 0 #t))


;;-----------------------------------------------------------------------------
;; notevery

;; only (1 0 #t) in common-list.scm
(lint-arity! common-list:notevery '(2 0 #t))
