;; Checking (gtk-2.0 gtk).

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(define-module (guile-lint gtk-2.0 gtk)
  #:use-module (guile-lint common)
  #:use-module (guile-lint defs)
  #:use-module (guile-lint gtk-2.0 gdk)  ;; initialize Gdk types
  #:use-module (gtk-2.0 gtk))


(defs-file-process (resolve-interface '(gtk-2.0 gtk))
  (string-append
   (dirname (dirname (dirname (%search-load-path "gtk-2.0/gtk.scm"))))
   "/guile-gtk/gtk-2.0.defs"))

(load "../gtk-common.scm")
