;; Common setups for (gtk-1.2 gtk) or (gtk-2.0 gtk).

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


;; various bits only declared as SCM

(lint-types-override! gtk-container-children
		      'pure (type-list-of (defs-type-find 'GtkWidget))
		      (defs-type-find 'GtkContainer))
(lint-types-override! gtk-rc-get-default-files
		      'pure (type-list-of type-string))
(if (defined? 'gtk-widget-size-request) ;; new in guile-gtk 0.60
    (lint-types-override! gtk-widget-size-request type-gdk-point))
(lint-types-override! gtk-combo-set-popdown-strings type-unspecified
		      (defs-type-find 'GtkCombo)
		      (type-or (type-list-of type-string)
			       (type-vector-of type-string)))
