;; Checking (ice-9 popen).

;; Copyright 2003, 2004, 2005, 2006, 2007, 2008 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(define-module (guile-lint ice-9 popen)
  #:use-module (guile-lint common)
  #:use-module (ice-9 popen))


(lint-types! close-pipe       type-exit-status type-port)
(lint-types! open-pipe        type-port type-string type-exact-integer-nonneg)
(lint-types! open-pipe* ;; new in 1.8
	     type-port type-exact-integer-nonneg type-string)
(lint-types! open-input-pipe  type-input-port type-string)
(lint-types! open-input-output-pipe  ;; new in 1.8
	     type-port type-string)
(lint-types! open-output-pipe type-output-port type-string)
