;; Checking (srfi srfi-19).

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(define-module (guile-lint srfi srfi-19)
  #:use-module (guile-lint common)
  #:use-module ((srfi srfi-19)
		;; avoid clash with core current-time
		#:renamer (symbol-prefix-proc 'srfi19:)))


;;-----------------------------------------------------------------------------
;; current-date

(lint-arity! srfi19:current-date '(0 1 #f))


;;-----------------------------------------------------------------------------
;; current-time

(lint-arity! srfi19:current-time '(0 1 #f))


;;-----------------------------------------------------------------------------
;; date->string

(lint-arity! srfi19:date->string '(1 1 #f))


;;-----------------------------------------------------------------------------
;; julian-day->date

(lint-arity! srfi19:julian-day->date '(1 1 #f))


;;-----------------------------------------------------------------------------
;; modified-julian-day->date

(lint-arity! srfi19:modified-julian-day->date '(1 1 #f))


;;-----------------------------------------------------------------------------
;; time-resolution

(lint-arity! srfi19:time-resolution '(0 1 #f))


;;-----------------------------------------------------------------------------
;; time-tai->date

(lint-arity! srfi19:time-tai->date '(1 1 #f))


;;-----------------------------------------------------------------------------
;; time-utc->date

(lint-arity! srfi19:time-utc->date '(1 1 #f))


;;-----------------------------------------------------------------------------
;; time-monotonic->date

(lint-arity! srfi19:time-monotonic->date '(1 1 #f))


