;; Test module (ice-9 and-let-star).

;; Copyright 2003, 2004, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


and-let*                  ;; bad

(use-modules (ice-9 and-let-star))


;;-----------------------------------------------------------------------------
;; and-let*

(pk and-let*)

(and-let*)                ;; bad
(and-let* ())
(and-let* () #f)
(and-let* (car) #f)
(and-let* (nodef) #f)     ;; bad
(and-let* ((car)) #f)
(and-let* ((nodef)) #f)   ;; bad
(and-let* (((+ 1 2))) #f)
(and-let* ((x y z)) #f)   ;; bad
(and-let* ((x y z)        ;; bad
	   (x y z)) #f)   ;; bad

(and-let* ((x badval)     ;; bad
	   (y badval))    ;; bad
  #f)

(and-let*                 ;; bad
    ((x 1)
     (y 2))
  nodef
  x y)

(and-let*
    ((x 1)
     (y x))
  (pk x)
  (pk y))

(and-let* ((x (lambda (x) #f)))
  (x 1 2))                ;; bad
