;; Test module (gtk gtk).

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(use-modules (gtk gtk))


;;-----------------------------------------------------------------------------
;; gtk-combo-set-popdown-strings

(pk gtk-combo-set-popdown-strings)
(let ((combo (gtk-combo-new)))
  (gtk-combo-set-popdown-strings)                         ;; bad
  (gtk-combo-set-popdown-strings combo)                   ;; bad
  (gtk-combo-set-popdown-strings combo '("x"))
  (gtk-combo-set-popdown-strings combo '("x" "y"))
  (gtk-combo-set-popdown-strings combo '("x" "y") 123)    ;; bad

  (gtk-combo-set-popdown-strings combo '(123))            ;; bad
  )


;;-----------------------------------------------------------------------------
;; gtk-container-children

(pk gtk-container-children)
(pk (gtk-container-children))                               ;; bad
(gtk-container-children (gtk-button-new))                   ;; bad (for effect)
(pk (gtk-container-children (gtk-button-new)))
(pk (gtk-container-children (gtk-button-new) "bar"))          ;; bad
(pk (gtk-container-children 999))                             ;; bad
(pk (list-ref (gtk-container-children (gtk-button-new)) 0))
(pk (vector-ref (gtk-container-children (gtk-button-new)) 0)) ;; bad


;;-----------------------------------------------------------------------------
;; gtk-input-add

(gtk-input-add (current-input-port) '(read)
  (lambda (fd conds)
    #f))


;;-----------------------------------------------------------------------------
;; gtk-label-new

(pk gtk-label-new)
(gtk-label-new)                ;; bad
(gtk-label-new "foo")
(gtk-label-new "foo" "bar")    ;; bad
(gtk-label-new 999)            ;; bad


;;-----------------------------------------------------------------------------
;; gtk-scrolled-window-new

(pk gtk-scrolled-window-new)
(gtk-scrolled-window-new)
(gtk-scrolled-window-new (gtk-adjustment-new 0 0 0 0 0 0))
(gtk-scrolled-window-new (gtk-adjustment-new 0 0 0 0 0 0)
			 (gtk-adjustment-new 0 0 0 0 0 0))
(gtk-scrolled-window-new #f
			 (gtk-adjustment-new 0 0 0 0 0 0))
(gtk-scrolled-window-new 123)        ;; bad
(gtk-scrolled-window-new 123 456)    ;; bad


;;-----------------------------------------------------------------------------
;; gtk-type-from-name

(pk gtk-type-from-name)
(gtk-type-from-name)                                  ;; bad
(gtk-type-from-name "GtkWidget")
(gtk-type-from-name 'GtkWidget)                       ;; bad
(string-append (gtk-type-from-name "GtkWidget") "x")  ;; bad


;;-----------------------------------------------------------------------------
;; gtk-type-name

(pk gtk-type-name)
(gtk-type-name)                                       ;; bad
(gtk-type-name 'GtkWidget)
(gtk-type-name (gtk-type-from-name "GtkWidget"))
(gtk-type-name 1234)                                  ;; bad
