;; Test module (ice-9 popen), bits new in guile 1.8.

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


open-pipe*      ;; bad

(use-modules (ice-9 popen))


;;-----------------------------------------------------------------------------
;; open-pipe*

(pk open-pipe*)
(open-pipe*)                                ;; bad
(open-pipe* OPEN_READ 'xx)                  ;; bad
(read-char (open-pipe* OPEN_READ "date"))
(open-pipe* OPEN_READ "date" "--utc")
(open-pipe* OPEN_READ "date" "--utc" 'foo)  ;; bad

(write-char #\x (open-pipe* OPEN_WRITE "cat"))

(read-char (open-pipe* OPEN_BOTH "cat"))
(write-char #\x (open-pipe* OPEN_BOTH "cat"))


;;-----------------------------------------------------------------------------
;; open-input-output-pipe

(read-char (open-input-output-pipe "cat"))
(write-char #\x (open-input-output-pipe "cat"))
