;; Test module (ice-9 pretty-print).

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(use-modules (ice-9 pretty-print))


;;-----------------------------------------------------------------------------
;; pretty-print

(pk pretty-print)
(pretty-print)                                       ;; bad
(pretty-print 123)
(pretty-print 123 (current-output-port))
(pretty-print 123 (current-output-port) #:display? #t)
(pretty-print 123 (current-output-port) #:width 40)
(pretty-print 123 (current-output-port) #:blah 40)   ;; bad
(pretty-print 123 (current-output-port)
	      #:width 40 #:display? #t #:per-line-prefix "..")
(pretty-print "x" #:display? #t)
(pretty-print 123 #:width 40)
(pretty-print 123 #:blah 40)   ;; bad
(pretty-print 123 #:width 40 #:display? #t #:per-line-prefix "..")


