;; Test module (srfi srfi-11).

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

let-values                             ;; bad

(use-modules (srfi srfi-11))


;;-----------------------------------------------------------------------------
;; let-values

(pk let-values)

(let-values (((x y) (values 1 2)))
  (+ x y))
(let-values (((x . y) (values 1 2)))
  (cons x y))
(let-values ((x (values 1 2)))
  x)

x ;; bad
y ;; bad
(let-values (((x y) (values 1 2))
	     ((y x) (values x y)))     ;; bad
  (+ x y))

(let-values (((x y) (values 1 2))
	     ((a b) (values x y)))     ;; bad
  (+ a b))

(let-values (((x y) (values 1 2))
	     ((a b) (values
		     (noop x)          ;; bad
		     (noop y))))       ;; bad
  (+ a b))

(let-values ((x y (values 1 2)))       ;; bad
  (cons x y))

(let-values (((x x) (values 1 2)))     ;; bad
  x)

(let-values (((x . x) (values 1 2)))   ;; bad
  x)


;;-----------------------------------------------------------------------------
;; let*-values

(pk let*-values)

(let*-values (((x y) (values 1 2)))
  (+ x y))
(let*-values (((x . y) (values 1 2)))
  (cons x y))
(let*-values ((x (values 1 2)))
  x)

(let*-values (((x y) (values 1 2))
	      ((a b) (values x y)))
  (+ a b))
(let*-values (((x y) (values 1 2))
	      ((y x) (values x y)))
  (+ x y))

(let*-values ((x y (values 1 2)))       ;; bad
  (cons x y))

(let*-values (((x x) (values 1 2)))     ;; bad
  x)

(let*-values (((x . x) (values 1 2)))   ;; bad
  x)
