;; Test module (srfi srfi-17).

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(use-modules (srfi srfi-17))


;;-----------------------------------------------------------------------------
;; car

(pk car)
(pk (car))                     ;; bad
(pk (car '(x . y)))
(pk (car '(x . y) '(x . y)))   ;; bad
(pk (car 999))                 ;; bad
(pk (car (cons 'x 'y)))

(set! (car (cons 'x 'y)) 999)
(set! (car 999)          999)  ;; bad

