;; Test module (srfi srfi-9).

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


define-record-type                           ;; bad

(use-modules (srfi srfi-9))

(define-record-type srfi9-test1-type
  (srfi9-test1-make name age salary)
  srfi9-test1-pred?
  (name    srfi9-test1-name)
  (age     srfi9-test1-age    srfi9-test1-age!)
  (salary  srfi9-test1-salary srfi9-test1-salary!))
(pk (procedure-property srfi9-test1-name 'arity))
(pk srfi9-test1-type)

(pk srfi9-test1-make)
(srfi9-test1-make "joe" 31)                  ;; bad
(srfi9-test1-make "joe" 31 31)
(define srfi9-test1-rec (srfi9-test1-make "joe" 31 31))

(pk srfi9-test1-pred?)
(srfi9-test1-pred?)                   	     ;; bad
(pk (srfi9-test1-pred? srfi9-test1-rec))
(pk (srfi9-test1-pred? (log 10)))
(srfi9-test1-pred? 1 2)               	     ;; bad
(srfi9-test1-pred? 1 2 3)             	     ;; bad

(srfi9-test1-name)                    	     ;; bad
(srfi9-test1-name srfi9-test1-rec)
(srfi9-test1-name 1 2)                	     ;; bad

(srfi9-test1-age)                     	     ;; bad
(srfi9-test1-age srfi9-test1-rec)
(srfi9-test1-age 1 2)                 	     ;; bad

(srfi9-test1-salary)                  	     ;; bad
(srfi9-test1-salary srfi9-test1-rec)
(srfi9-test1-salary 1 2)              	     ;; bad

(pk srfi9-test1-age!)
(srfi9-test1-age!)                           ;; bad
(srfi9-test1-age! srfi9-test1-rec)           ;; bad
(srfi9-test1-age! srfi9-test1-rec 30)
(srfi9-test1-age! srfi9-test1-rec 30 99)     ;; bad

(pk srfi9-test1-salary!)
(srfi9-test1-salary!)                        ;; bad
(srfi9-test1-salary! srfi9-test1-rec)        ;; bad
(srfi9-test1-salary! srfi9-test1-rec 30)
(srfi9-test1-salary! srfi9-test1-rec 30 99)  ;; bad
