;; Test module srfi-55, new in guile 1.8.

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.



;;-----------------------------------------------------------------------------
;; require-extension   (built in to the core)

(pk require-extension)

(require-extension (srfi 6))
(pk open-input-string)

(require-extension (srfi 1.0))      ;; bad
(require-extension (srfi 123))      ;; bad
(require-extension (srfi "x"))      ;; bad
(require-extension (blah 1))        ;; bad

(require-extension (blah . 1))      ;; bad
(require-extension (srfi 8) 123)    ;; bad

(define (require-extension-test1)
  (require-extension (srfi 10))      ;; bad
  #f)
(pk require-extension-test1)
