;; Test module (ice-9 threads).

;; Copyright 2003, 2004, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


begin-thread  ;; bad
make-thread   ;; bad
monitor       ;; bad
with-mutex    ;; bad

(use-modules (ice-9 threads))


;;-----------------------------------------------------------------------------
;; begin-thread

(pk begin-thread)
(begin-thread)            ;; bad
(begin-thread
 (pk 1)
 (pk 2)
 3)


;;-----------------------------------------------------------------------------
;; make-thread

(pk make-thread)
(make-thread)            ;; bad
(make-thread noop)
(make-thread car 1 2 3)  ;; bad

(make-thread make-thread-test1)     ;; bad
(define (make-thread-test1) #f)
(make-thread make-thread-test1)
(make-thread make-thread-test1 123) ;; bad


;;-----------------------------------------------------------------------------
;; monitor

(pk monitor)
(monitor)                 ;; bad
(monitor 1)
(monitor 1 2)             ;; bad (literal 1 called for effect)
(monitor (pk 1) 2)
(monitor 1 2 3)           ;; bad (literals 1, 2 called for effect)
(monitor (pk 1) (pk 2) 3)


;;-----------------------------------------------------------------------------
;; with-mutex

(pk with-mutex)
(with-mutex)              ;; bad

;; not sure if empty body should be ok
(with-mutex #f)           ;; bad

(with-mutex #f            ;; bad (not a mutex)
  123)
(with-mutex (make-mutex)
  (pk 1) 2)
(with-mutex (make-mutex)
  (pk 1) (pk 2) 3)
(with-mutex (make-mutex)  ;; bad (literals 1 called for effect)
  1 2)
(with-mutex (make-mutex)  ;; bad (literals 1, 2 called for effect)
  1 2 3)


