;; Checking (gtk-1.2 gdk-pixbuf).

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(define-module (guile-lint gtk-1.2 gdk-pixbuf)
  #:use-module (guile-lint defs)
  #:use-module (guile-lint gtk-2.0 gdk-pixbuf) ;; lint-gtk-defs-file-version
  #:use-module (guile-lint gtk-1.2 gdk)  ;; initialize Gdk types
  #:use-module (guile-lint gtk-1.2 gtk)) ;; initialize Gtk types


(let ((filename (string-append
		 (dirname (dirname (dirname (%search-load-path
					     "gtk-1.2/gdk-pixbuf.scm"))))
		 "/guile-gtk/gdk-pixbuf.defs")))

  (if (equal? "1.2" (lint-gtk-defs-file-version filename))
      (defs-file-process (resolve-interface '(gtk-1.2 gdk-pixbuf)) filename)))
