;; Checking (ice-9 r5rs).

;; Copyright 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(define-module (guile-lint ice-9 r5rs)
  #:use-module (ice-9 r5rs)
  #:use-module (guile-lint common)
  ;; ice-9 r5rs re-exports null-environment from safe-r5rs, so load the
  ;; linting for that too
  #:use-module (guile-lint ice-9 safe-r5rs))


(lint-types! scheme-report-environment 'pure type-environment
	     type-exact-integer)
