;; Test module (ice-9 ftw).

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


ftw                                                 ;; bad
nftw                                                ;; bad

(use-modules (ice-9 ftw))


;;-----------------------------------------------------------------------------
;; ftw

(pk ftw)
(ftw)                                               ;; bad
(ftw "/")                                           ;; bad
(ftw "/" (lambda (filename statinfo flag) #f))

(ftw "/" (lambda () #f))                            ;; bad
(ftw "/" (lambda (filename) #f))                    ;; bad
(ftw "/" (lambda (filename statinfo) #f))           ;; bad
(ftw "/" (lambda (filename statinfo flag) #f))
(ftw "/" (lambda (filename statinfo flag x) #f))    ;; bad


;;-----------------------------------------------------------------------------
;; nftw

(pk nftw)
(nftw)                                               ;; bad
(nftw "/")                                           ;; bad
(nftw "/" (lambda (filename statinfo flag basename level) #f))

(nftw "/" (lambda () #f))                                        ;; bad
(nftw "/" (lambda (filename) #f))                                ;; bad
(nftw "/" (lambda (filename statinfo) #f))                       ;; bad
(nftw "/" (lambda (filename statinfo flag) #f))                  ;; bad
(nftw "/" (lambda (filename statinfo flag basename) #f))         ;; bad
(nftw "/" (lambda (filename statinfo flag basename level) #f))
(nftw "/" (lambda (filename statinfo flag basename level x) #f)) ;; bad
