;; Test module (ice-9 popen).

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


close-pipe      ;; bad

(use-modules (ice-9 popen))


;;-----------------------------------------------------------------------------
;; close-pipe

(pk close-pipe)
(close-pipe)                                ;; bad
(close-pipe (open-input-pipe "date"))
(close-pipe (open-input-pipe "date") 123)   ;; bad


;;-----------------------------------------------------------------------------
;; open-pipe

(pk open-pipe)
(open-pipe)                                 ;; bad
(open-pipe "date")                          ;; bad

(read-char (open-pipe "date" OPEN_READ))

(write-char #\x (open-pipe "cat >/dev/null" OPEN_WRITE))

(read-char (open-pipe "cat" OPEN_BOTH))
(write-char #\x (open-pipe "cat" OPEN_BOTH))

(open-pipe "cat" OPEN_BOTH 'foo)            ;; bad


;;-----------------------------------------------------------------------------
;; open-input-pipe

(pk open-input-pipe)
(open-input-pipe)                           ;; bad
(read-char (open-input-pipe "date"))
(write-char #\x (open-input-pipe "date"))   ;; bad
(open-input-pipe "date" 'xx)                ;; bad


;;-----------------------------------------------------------------------------
;; open-output-pipe

(pk open-output-pipe)
(open-output-pipe)                                    ;; bad
(read-char (open-output-pipe "cat >/dev/null"))       ;; bad
(write-char #\x (open-output-pipe "cat >/dev/null"))
(open-output-pipe "cat >/dev/null" 'xx)               ;; bad
