;; Test module (ice-9 r5rs).

;; Copyright, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


null-environment           ;; bad
scheme-report-environment  ;; bad

(use-modules (ice-9 r5rs))


;;-----------------------------------------------------------------------------
;; null-environment

(pk null-environment)
(null-environment)            ;; bad
(null-environment 'x)         ;; bad
(pk (null-environment 5))
(null-environment 5 5)        ;; bad


;;-----------------------------------------------------------------------------
;; scheme-report-environment

(pk scheme-report-environment)
(scheme-report-environment)            ;; bad
(scheme-report-environment 'x)         ;; bad
(pk (scheme-report-environment 5))
(scheme-report-environment 5 5)        ;; bad



;;-----------------------------------------------------------------------------
;; compatible with safe-r5rs

(use-modules (ice-9 safe-r5rs))
(pk null-environment)
