;; Test module (ice-9 rdelim).

;; Copyright 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(use-modules (ice-9 rdelim))


;;-----------------------------------------------------------------------------
;; (ice-9 rdelim) read-line

(pk read-line)
(read-line)
(read-line (current-input-port))
(read-line (current-input-port) 'trim)
(read-line (current-input-port) 'trim 999)              ;; bad


;;-----------------------------------------------------------------------------
;; (ice-9 rdelim) read-line!

(pk read-line!)
(read-line!)                                            ;; bad
(read-line! (make-string 10))
(read-line! (make-string 10) (current-input-port))
(read-line! (make-string 10) (current-input-port) 999)  ;; bad


;;-----------------------------------------------------------------------------
;; (ice-9 rdelim) read-delimited

(pk read-delimited)
(read-delimited)                                         ;; bad
(read-delimited "xy")
(read-delimited "xy" (current-input-port))
(read-delimited "xy" (current-input-port) 'trim)
(read-delimited "xy" (current-input-port) 'trim 999)     ;; bad


;;-----------------------------------------------------------------------------
;; (ice-9 rdelim) read-delimited!

(pk read-delimited!)
(let ((port (current-input-port)))
  (read-delimited!)                                           ;; bad
  (read-delimited! "xy")                                      ;; bad
  (read-delimited! "xy" (make-string 10))
  (read-delimited! "xy" (make-string 10) port)
  (read-delimited! "xy" (make-string 10) port 'trim)
  (read-delimited! "xy" (make-string 10) port 'trim 0)
  (read-delimited! "xy" (make-string 10) port 'trim 0 5)
  (read-delimited! "xy" (make-string 10) port 'trim 0 5 'xx)) ;; bad


