;; Test slib support.

;; Copyright 2006, 2007, 2008 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


;;-----------------------------------------------------------------------------
;; define

define-test1              ;; bad
(define-test2)            ;; bad

(define define-test3 123)
(pk (define-test3))
(pk define-test3)

(define (define-test9)
  (define x 1)
  (pk (noop))
  x)
(pk define-test9)


;;-----------------------------------------------------------------------------
;; require

(require 'crc)
(pk crc:make-table)

;; slib 3a5 does something in guile.init forcing case insensitive reading,
;; which means we end up with either capital CRC-16-polynomial or lower case
;; crc-16-polynomial as the actual symbol.  Not sure what should be done
;; about that but for now disable the test.
;;
;;(pk CRC-16-polynomial)


;;-----------------------------------------------------------------------------
;; line-i/o module

(require 'line-i/o)
(pk read-line)
(pk write-line)
