;; Test module (srfi srfi-16).

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


case-lambda               ;; bad

(use-modules (srfi srfi-16))


;;-----------------------------------------------------------------------------
;; case-lambda

(pk case-lambda)
(case-lambda)             ;; bad
(case-lambda
 ((x) #f))
(case-lambda
 ((x) #f)
 ((x y) #f))
(case-lambda
 ((123) #f)               ;; bad
 ((x 456) #f))            ;; bad

(case-lambda
 ((x) #f)
 (
  (x)                     ;; bad
  #f))

(case-lambda
 (() #f)
 (() #f))                 ;; bad
(case-lambda
 (() #f)
 ((x) #f))
(case-lambda
 (() #f)
 ((x y) #f))
(case-lambda
 (() #f)
 ((x . y) #f))
(case-lambda
 (() #f)
 (x #f))

(case-lambda
 ((x) #f)
 (() #f))
(case-lambda
 ((x) #f)
 ((x) #f))                ;; bad
(case-lambda
 ((x) #f)
 ((x y) #f))
(case-lambda
 ((x) #f)
 ((x . y) #f))
(case-lambda
 ((x) #f)
 (x #f))

(case-lambda
 ((x y) #f)
 (() #f))
(case-lambda
 ((x y) #f)
 ((x) #f))
(case-lambda
 ((x y) #f)
 ((x y) #f))              ;; bad
(case-lambda
 ((x y) #f)
 ((x . y) #f))
(case-lambda
 ((x y) #f)
 (x #f))

(case-lambda
 ((x . y) #f)
 (() #f))
(case-lambda
 ((x . y) #f)
 ((x) #f))                ;; bad
(case-lambda
 ((x . y) #f)
 ((x y) #f))              ;; bad
(case-lambda
 ((x . y) #f)
 ((x . y) #f))            ;; bad
(case-lambda
 ((x . y) #f)
 (x #f))

(case-lambda
 (x #f)
 (() #f))                 ;; bad
(case-lambda
 (x #f)
 ((x) #f))                ;; bad
(case-lambda
 (x #f)
 ((x y) #f))              ;; bad
(case-lambda
 (x #f)
 ((x . y) #f))            ;; bad
(case-lambda
 (x #f)
 (x #f))                  ;; bad
