;; Test module (srfi srfi-26), new in guile 1.8.

;; Copyright 2003, 2004, 2005, 2006, 2007 Kevin Ryde

;; This file is part of Guile-Lint.
;;
;; Guile-Lint is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; Guile-Lint is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


;;-----------------------------------------------------------------------------
;; cut

cut                  ;; bad
(use-modules (srfi srfi-26))
(pk cut)

(define cut-test1 (cut + <> 123))
(cut-test1)          ;; bad
(cut-test1 99)
(cut-test1 88 99)    ;; bad

(define cut-test2 (cut + <> 123 <...>))
(cut-test2)          ;; bad
(cut-test2 99)
(cut-test2 1 2)
(cut-test2 1 2 3)

(define cut-test3 (cut + 123 <...>))
(cut-test3)
(cut-test3 1)
(cut-test3 1 2)

(cut + <...> 123)    ;; bad

(define cut-test4 (cut <>))
(cut-test4)          ;; bad
(cut-test4 noop)
(cut-test4 1 2)      ;; bad

(define cut-test5 (cut <> 1))
(cut-test5)          ;; bad
(cut-test5 display)
(cut-test5 noop 99)  ;; bad

(define cut-test6 (cut <> 1 2))
(cut-test6)          ;; bad
(cut-test6 noop)
(cut-test6 noop 99)  ;; bad

(define cut-test7 (cut + 1 2 3))
(cut-test7)
(cut-test7 99)       ;; bad

(define cut-test8 (cut <...>))
(cut-test8)
(cut-test8 1)
(cut-test8 1 2)

(cut cut-test9-nodef)
(define cut-test9-nodef noop)


;;-----------------------------------------------------------------------------
;; cute

(define cute-test1 (cute + <> 123))
(cute-test1)          ;; bad
(cute-test1 99)
(cute-test1 88 99)    ;; bad

(define cute-test2 (cute + <> 123 <...>))
(cute-test2)          ;; bad
(cute-test2 99)
(cute-test2 1 2)
(cute-test2 1 2 3)

(define cute-test3 (cute + 123 <...>))
(cute-test3)
(cute-test3 1)
(cute-test3 1 2)

(cute + <...> 123)    ;; bad

(define cute-test4 (cute <>))
(cute-test4)          ;; bad
(cute-test4 noop)
(cute-test4 1 2)      ;; bad

(define cute-test5 (cute <> 1))
(cute-test5)          ;; bad
(cute-test5 display)
(cute-test5 noop 99)  ;; bad

(define cute-test6 (cute <> 1 2))
(cute-test6)          ;; bad
(cute-test6 noop)
(cute-test6 noop 99)  ;; bad

(define cute-test7 (cute + 1 2 3))
(cute-test7)
(cute-test7 99)       ;; bad

(define cute-test8 (cute <...>))
(cute-test8)
(cute-test8 1)
(cute-test8 1 2)

(cute cute-test9-nodef) ;; bad
(define cute-test9-nodef noop)
(pk cute-test9-nodef)


